package com.clx.performance.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
* @Author: aiqinguo
* @Description: 运单图片
* @Date: 2023/09/18 11:43:33
* @Version: 1.0
*/

@Getter
@Setter
@NoArgsConstructor
@TableName(autoResultMap = true)
public class OrderChildImage implements HasKey<Integer> {

    private Integer id;                             //id
    private String childNo;                         //运单编号
    private Integer type;                           //图片类型
    private String image;                           //图片地址
    private String createTime;                      //创建时间
    private String modifiedTime;                    //修改时间

    @KeyColumn("id")
    @Override
    public Integer gainKey() {
        return id;
    }

}